[Loadstone] osm & poi & osmosis

Shawn Kirkpatrick shawn at loadstone-gps.com
Mon Jun 18 23:20:53 BST 2012


The osmosis package that comes with ubuntu is rather out of date. The latest 
version as far as I know is 0.40.1 if you download that from source maybe 
it'll fix some of your problems. The download from source will work since 
all the dependencies will have already been installed with the ubuntu 
version of osmosis. You can even have both versions if you need that for 
some reason.

On Mon, 18 Jun 2012, rj wrote:

>
> Hi all,
> Can anyone help with these 2 problems?
> 1. If I want to make a loadstone database from an osm file with poi's
> loadstonetools (osm.py) stops with the error:
> "TypeError: 'NoneType' object is not subscriptable"
> The same file converts flawless without poi's. But with poi's the script
> stops and you don't get any file at all.
>
> 2. if I use osmosis to extract a boundingbox from an osm file
> loadstonetools (osm.py) starts complaining about missing nodes.
>
> How do I clean up the osm file? And how do I select the poi's I want?
> There are i.e. so many letterboxes that they don't help to know where
> you are.
>
> Installing osmosis was very simple in Ubuntu Linux. There is a package
> and all the dependencies are automatically installed.
> I used a command like this:
> bzcat downloaded.osm.bz2 | osmosis --read-xml enableDateParsing=no
> file=-  --bounding-box top=49.5138 left=10.9351 bottom=49.3866
> right=11.201 --write-xml file=output.osm
> It produced an osm file that looked all right, until I started
> converting and importing it in the phone.
>
> Robert
>
>
> _______________________________________________
> Loadstone mailing list
> Loadstone at loadstone-gps.com
> http://www.loadstone-gps.com/mailman/listinfo/loadstone
>


More information about the Loadstone mailing list